using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for CatalogBusinessLogic
/// </summary>
public class CatalogBusinessLogic
{
	public CatalogBusinessLogic()
	{
		//
		// TODO: Add constructor logic here
		//
	}

   public DataTable GetAllPublishers()
   {
      PublisherDA pda = new PublisherDA();
      return pda.GetAll();
   }

   public DataTable GetPublisherBooks(int pubId)
   {
      BookDA bda = new BookDA();
      return bda.GetBooksByPublisher(pubId);
   }
}
